Environment
Keywords: testopia.API.Environment class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## testopia.API
Class Environment

    java.lang.Object
      testopia.API.Environment

    public class Environment

extends java.lang.Object

Allows the user to get an environment from it's ID. It can also create and update an environment

Author:
  anelson

Constructor Summary
`Environment(java.lang.String userName, java.lang.String password, java.net.URL url)`

Method Summary
`java.util.HashMap<java.lang.String,java.lang.Object>` | `getEnvirnoment(int environmentID)` Returns the environmnet as a HashMap or null if environment can't be found
`int` | `makeEnvironment(java.lang.String name, int productID, boolean isActive)` Creates a new environment and returns the environmentID, 0 is returned if an error occurs
`void` | `updateEnvironment(java.lang.String name, java.lang.Boolean isactive, java.lang.Integer productID, int environmentID)` Updates the environment on testopia with the specified parameters

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Environment

    public Environment(java.lang.String userName,
                       java.lang.String password,
                       java.net.URL url)

Parameters:
  `userName` - - your testopia/bugzilla username
  `password` - - the password for your account
  `login` - - the user you want attributes returned for
  `url` - - the url of the testopia server

Method Detail

### makeEnvironment

    public int makeEnvironment(java.lang.String name,
                               int productID,
                               boolean isActive)

  Creates a new environment and returns the environmentID, 0 is returned if an error occurs

  Parameters:
    `name` -
    `productID` -

### updateEnvironment

    public void updateEnvironment(java.lang.String name,
                                  java.lang.Boolean isactive,
                                  java.lang.Integer productID,
                                  int environmentID)

  Updates the environment on testopia with the specified parameters

  Parameters:
    `name` - string - the name of the build. Can be null
    `milestone` - string - the milestone. Can be null
    `isactive` - Boolean - if the build is active. Can be null
    `description` - String - description of the build. Can be null
    `buildID` - int - the buildID

### getEnvirnoment

    public java.util.HashMap<java.lang.String,java.lang.Object> getEnvirnoment(int environmentID)

  Returns the environmnet as a HashMap or null if environment can't be found

  Parameters:
    `environmentName` -
  Returns:

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD